import React from "react";
import ReactDOM from "react-dom/client";
import Background from "./layouts/AuthLayout/components/Background";
import Router from "./routes/Router";
import "./index.less";
import { Provider } from "./store";
import { initTokenIfExists } from "./utils/sso";

import { ConfigProvider } from "antd";
import zhCN from "antd/es/locale/zh_CN";
import "moment/dist/locale/zh-cn";

initTokenIfExists();

ReactDOM.createRoot(document.getElementById("root")).render(
  <ConfigProvider locale={zhCN}>
    <Provider>
      <Background />
      <Router />
    </Provider>
  </ConfigProvider>
);
