import List from "@/components/Page/List";
import React from "react";

import { getFxUser, deleteFxUserAndLogin } from "@/services/fxuser";

import { useNavigate } from "react-router-dom";
import { Button } from "antd";
import moment from "moment";
export default (props) => {
  const navigate = useNavigate();
  const actionRef = React.useRef();
  const columns = [
    {
      title: "用户名",
      dataIndex: "userName",
      key: "userName",
    },
    {
      title: "手机号",
      dataIndex: "phone",
      key: "phone",
    },
    // {
    //   title: "创建人",
    //   dataIndex: "createdBy",
    //   key: "createdBy",
    //   search: false,
    // },
    {
      title: "创建时间",
      dataIndex: "createdAt",
      key: "createdAy",
      search: false,
      render: (t) => moment(t).format("YYYY-MM-DD HH:mm:ss"),
      // new Date(t).toLocaleString("zh")
    },
    // {
    //   title: "更新人",
    //   dataIndex: "updatedBy",
    //   key: "updatedBy",
    //   search: false,
    // },
    // {
    //   title: "更新时间",
    //   dataIndex: "updatedAt",
    //   key: "updatedAt",
    //   search: false,
    //   render: (t) => moment(t).format("YYYY-MM-DD HH:mm:ss"),
    // },
  ];

  const DeleteFxUser = (record) => {
    deleteFxUserAndLogin(record.userId).then((res) => {
      actionRef.current.reload();
    });
  };
  return (
    <List
      rowKey="userId"
      actionRef={actionRef}
      request={getFxUser}
      onEdit={(record) => navigate(`/fxuser/edit?id=${record.userId}`)}
      onDelete={DeleteFxUser}
      toolBarRender={() => [
        <Button
          key="1"
          type="primary"
          onClick={() => {
            navigate("edit");
          }}
        >
          新增
        </Button>,
      ]}
      columns={columns}
    />
  );
};
